Package org.apache.commons.net.util

# Class TrustManagerUtils

java.lang.Object
org.apache.commons.net.util.TrustManagerUtils

public final class TrustManagerUtils extends Object
TrustManager utilities for generating TrustManagers.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrustManagerUtils()`
  Deprecated.
  Will be removed in 2.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static X509TrustManager`
  `getAcceptAllTrustManager()`
  Generate a TrustManager that performs no checks.
  `static X509TrustManager`
  `getDefaultTrustManager(KeyStore keyStore)`
  Return the default TrustManager provided by the JVM.
  `static X509TrustManager`
  `getValidateServerCertificateTrustManager()`
  Generate a TrustManager that checks server certificates for validity, but otherwise performs no checks.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrustManagerUtils

    @Deprecated public TrustManagerUtils()
    Deprecated.
    Will be removed in 2.0.
    Depreacted.

- ## Method Details

  - ### getAcceptAllTrustManager

    public static X509TrustManager getAcceptAllTrustManager()
    Generate a TrustManager that performs no checks.
    Returns:
      the TrustManager

  - ### getDefaultTrustManager

    public static X509TrustManager getDefaultTrustManager(KeyStore keyStore) throws GeneralSecurityException
    Return the default TrustManager provided by the JVM.

    This should be the same as the default used by `SSLContext#init(KeyManager[], TrustManager[], SecureRandom)` when the TrustManager parameter is set to `null`

    Parameters:
      `keyStore` - the KeyStore to use, may be `null`
    Returns:
      the default TrustManager
    Throws:
      `GeneralSecurityException` - if an error occurs

  - ### getValidateServerCertificateTrustManager

    public static X509TrustManager getValidateServerCertificateTrustManager()
    Generate a TrustManager that checks server certificates for validity, but otherwise performs no checks.
    Returns:
      the validating TrustManager